|
From: Yoda-JM <yo...@us...> - 2009-10-22 14:29:43
|
Module: performous
Branch: master
Commit: 238611a3b575ced044ddda1a32a9a5236d31438e
Author: Vincent Le Ligeour <yo...@us...>
Date: Thu Oct 22 16:28:57 2009 +0200
Fixed git gentoo ebuild / Added 0.4.0 gentoo ebuild / Make current git 0.4-pre5
---
CMakeLists.txt | 2 +-
.../performous/performous-0.4.0.ebuild | 100 ++++++++++++++++++++
.../games-arcade/performous/performous-9999.ebuild | 20 ++---
3 files changed, 108 insertions(+), 14 deletions(-)
diff --git a/CMakeLists.txt b/CMakeLists.txt
index e2ce01e..efeac79 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1,6 +1,6 @@
project(Performous CXX)
cmake_minimum_required(VERSION 2.6)
-set(PROJECT_VERSION "0.4-pre4")
+set(PROJECT_VERSION "0.4-pre5")
# Avoid source tree pollution
if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
diff --git a/portage-overlay/games-arcade/performous/performous-0.4.0.ebuild b/portage-overlay/games-arcade/performous/performous-0.4.0.ebuild
new file mode 100644
index 0000000..4c32872
--- /dev/null
+++ b/portage-overlay/games-arcade/performous/performous-0.4.0.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /cvsroot/ultrastar-ng/UltraStar-ng/portage-overlay/games-arcade/performous/performous-9999.ebuild,v 1.10 2007/09/29 13:04:19 yoda-jm Exp $
+
+EAPI=2
+inherit cmake-utils games
+
+RESTRICT="nostrip"
+
+SONGS_PN=ultrastar-songs
+MY_PN=Performous
+MY_P=${MY_PN}-${PV}-Source
+SONGS_PN=ultrastar-songs
+
+DESCRIPTION="Karaoke game similar to Singstar"
+HOMEPAGE="http://performous.org"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2
+ songs? (
+ mirror://sourceforge/${PN}/${SONGS_PN}-jc-1.zip
+ mirror://sourceforge/${PN}/${SONGS_PN}-libre-3.zip
+ mirror://sourceforge/${PN}/${SONGS_PN}-restricted-3.zip
+ mirror://sourceforge/${PN}/${SONGS_PN}-shearer-1.zip
+ )"
+
+EGIT_REPO_URI="git://performous.git.sourceforge.net/gitroot/performous/performous"
+
+LICENSE="GPL-2
+ songs? (
+ CCPL-Attribution-ShareAlike-NonCommercial-2.5
+ CCPL-Attribution-NonCommercial-NoDerivs-2.5
+ )"
+SLOT="0"
+KEYWORDS="~x86 ~amd64 ~ppc ~ppc64"
+
+IUSE="debug alsa portaudio pulseaudio jack songs gstreamer tools"
+
+RDEPEND="gnome-base/librsvg
+ dev-libs/boost
+ x11-libs/pango
+ dev-cpp/libxmlpp
+ media-libs/glew
+ media-libs/libsdl[joystick,opengl]
+ media-gfx/imagemagick[png]
+ >=media-video/ffmpeg-0.4.9_p20070616-r20
+ alsa? ( media-libs/alsa-lib )
+ jack? ( media-sound/jack-audio-connection-kit )
+ portaudio? ( media-libs/portaudio )
+ gstreamer? ( media-libs/gstreamer )
+ pulseaudio? ( media-sound/pulseaudio )
+ sys-apps/help2man
+ !games-arcade/ultrastar-ng"
+DEPEND="${RDEPEND}
+ >=dev-util/cmake-2.6.0"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+ unpack "${MY_P}.tar.bz2"
+ if use songs; then
+ cd "${S}"
+ unpack "${SONGS_PN}-jc-1.zip"
+ unpack "${SONGS_PN}-libre-3.zip"
+ unpack "${SONGS_PN}-restricted-3.zip"
+ unpack "${SONGS_PN}-shearer-1.zip"
+ fi
+}
+
+src_configure() {
+ local mycmakeargs="
+ $(cmake-utils_use alsa LIBDA_PLUGIN_ALSA)
+ $(cmake-utils_use jack LIBDA_PLUGIN_JACK)
+ $(cmake-utils_use gstreamer LIBDA_PLUGIN_GSTREAMER)
+ $(cmake-utils_use portaudio LIBDA_PLUGIN_PORTAUDIO)
+ $(cmake-utils_use pulseaudio LIBDA_PLUGIN_PULSEAUDIO)
+ $(cmake-utils_use_enable tools TOOLS)
+ $(cmake-utils_use_enable tools EDITOR)
+ -DCMAKE_INSTALL_PREFIX=${GAMES_PREFIX}
+ -DSHARE_INSTALL=share/
+ -DLIBDA_AUTODETECT_PLUGINS=false
+ -DLIBDA_PLUGIN_TESTING=false
+ -DCMAKE_BUILD_TYPE=Release"
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+}
+
+src_install() {
+ DOCS="docs/*.txt" cmake-utils_src_install
+
+ if use songs; then
+ insinto "/usr/share/games/ultrastar"
+ doins -r "${S}/songs" || die "doins songs failed"
+ fi
+ doicon "${S}/data/${PN}.xpm"
+ domenu "${S}/data/${PN}.desktop"
+ prepgamesdirs
+}
diff --git a/portage-overlay/games-arcade/performous/performous-9999.ebuild b/portage-overlay/games-arcade/performous/performous-9999.ebuild
index e858642..594ad73 100644
--- a/portage-overlay/games-arcade/performous/performous-9999.ebuild
+++ b/portage-overlay/games-arcade/performous/performous-9999.ebuild
@@ -48,12 +48,6 @@ RDEPEND="gnome-base/librsvg
DEPEND="${RDEPEND}
>=dev-util/cmake-2.6.0"
-pkg_setup() {
- if ! built_with_use --missing true dev-libs/boost threads ; then
- eerror "Please emerge dev-libs/boost with USE=threads"
- fi
-}
-
src_unpack() {
git_src_unpack
if use songs; then
@@ -62,18 +56,18 @@ src_unpack() {
unpack "${SONGS_PN}-libre-3.zip"
unpack "${SONGS_PN}-restricted-3.zip"
unpack "${SONGS_PN}-shearer-1.zip"
- pwd
fi
}
-src_compile() {
+src_configure() {
local mycmakeargs="
- $(cmake-utils_use_enable alsa LIBDA_PLUGIN_ALSA)
- $(cmake-utils_use_enable jack LIBDA_PLUGIN_ALSA)
- $(cmake-utils_use_enable gstreamer LIBDA_PLUGIN_GSTREAMER)
- $(cmake-utils_use_enable portaudio LIBDA_PLUGIN_PORTAUDIO)
- $(cmake-utils_use_enable pulseaudio LIBDA_PLUGIN_PULSEAUDIO)
+ $(cmake-utils_use alsa LIBDA_PLUGIN_ALSA)
+ $(cmake-utils_use jack LIBDA_PLUGIN_JACK)
+ $(cmake-utils_use gstreamer LIBDA_PLUGIN_GSTREAMER)
+ $(cmake-utils_use portaudio LIBDA_PLUGIN_PORTAUDIO)
+ $(cmake-utils_use pulseaudio LIBDA_PLUGIN_PULSEAUDIO)
$(cmake-utils_use_enable tools TOOLS)
+ $(cmake-utils_use_enable tools EDITOR)
-DCMAKE_INSTALL_PREFIX=${GAMES_PREFIX}
-DSHARE_INSTALL=share/
-DLIBDA_AUTODETECT_PLUGINS=false
|